Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscription Billing

Get Billing Charge

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/subscriptions/billing/charges/{billingAgreementChargeId}

Returns the specific billing agreement charge by id.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

billingAgreementChargeIdstring
Required

The id of the billing agreement charge to fetch.

Format:
uuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/subscriptions/billing/charges/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "billingAgreementCharge": {    "id": "019a72a0-4247-71c4-a4da-62b534d87af6",    "state": "PROCESSING",    "transactionId": "LDG7M4WW44G",    "billingPlanId": "019a729e-41c2-7d16-a1e2-fdb15a8146bb",    "billingAgreementId": "019a729e-2d93-7612-9329-8f783f66f834",    "deadlineAt": "2030-09-05T12:00:00Z",    "nextAttemptAt": "2030-08-01T12:00:00Z",    "createdAt": "2030-07-29T15:51:28.071Z"  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}